BatchGeneratorI
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions
Interface BatchGeneratorI

All Known Implementing Classes:
  BatchGenerator

    public interface BatchGeneratorI

Method Summary
`java.lang.String` | `generateHSPECTable(java.lang.String hcaf, java.lang.String hspen, java.lang.String filteredHSPEN, AlgorithmType type, java.lang.Boolean isCloud, java.lang.String endpoint)` Deprecated.
`void` | `generateTable(TableGenerationConfiguration config)`
`EnvironmentalExecutionReportItem` | `getReport(boolean getResourceInfo)`
`int` | `getReportId()`
`BatchGeneratorObjectFactory.BatchPoolType` | `getType()`
`void` | `setConfiguration(java.lang.String path, DBDescriptor credentials)`

Method Detail

### generateHSPECTable

    @Deprecated
    java.lang.String generateHSPECTable(java.lang.String hcaf,
                                                   java.lang.String hspen,
                                                   java.lang.String filteredHSPEN,
                                                   AlgorithmType type,
                                                   java.lang.Boolean isCloud,
                                                   java.lang.String endpoint)
                                        throws java.lang.Exception

  Deprecated.

  Throws:
    `java.lang.Exception`

### setConfiguration

    void setConfiguration(java.lang.String path,
                          DBDescriptor credentials)

### getReport

    EnvironmentalExecutionReportItem getReport(boolean getResourceInfo)

### getReportId

    int getReportId()

### generateTable

    void generateTable(TableGenerationConfiguration config)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getType

    BatchGeneratorObjectFactory.BatchPoolType getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD